function x = ...
stack(M1,M2,M3,M4,M5,M6,M7,M8,M9,M10,M11,M12,M13,M14,M15,M16)
% function x = stack(M1,...,M15)
% STACK stores the vector form of matrices in a vector x, 
% with a special format.
% inputs:
% M1,...,M15 matrices (possibly empty).
% outputs:
% x	    column vector representing the matrices in a special
%	    vectorized form.  
%	    - the first element of x is NaN. 
%	    - the second is the number of matrices stored in x, N.
%	    - the next 2N elements give the sizes of the matrices.
%	    - the next elements contain the elements of the matrices 
%	      (columnwise). 
% see also:
%  unstack.

x = 0;
for i = 1:nargin,
  txt = ['mtrx = ' sprintf('M%1.0f',i) ';'];
  eval(txt);
  [row,col] = size(mtrx);
  N = x(1); L = length(x);
  x = [N+1; x(2:2*N+1); ...
     [row; col]; x(2*N+2:L); mtrx(:)];
end
x = [NaN; x];
